Subject: bug#76471: [PATCH] 31.0.50; dockerfile-ts-mode lacks fontification for most grammar-elements in the Dockerfile AST

From: Jostein Kjønigsen <[email-masked]>
Date: Fri, 21 Feb 2025 23:12:18 +0100

Disregard previuos patch. This one includes one more case of string-fontification which I uncovered when testing with more files I had lying around.

￼

—
Kind Regards
Jostein Kjønigsen

> On 21 Feb 2025, at 22:58, Jostein Kjønigsen <[email-masked]> wrote:
> 
> Ok. One more try then. Like this? :)
> 
> <0001-Improve-fontification-of-docker-files.patch>
> 
> —
> Kind Regards
> Jostein Kjønigsen
> 
>> On 21 Feb 2025, at 22:03, Stefan Kangas <[email-masked]> wrote:
>> 
>> Jostein Kjønigsen <[email-masked]> writes:
>> 
>>> I'm not used to adding things to NEWS. Is this OK?
>> 
>> Sorry, I meant a ChangeLog entry, as described under the header "Commit
>> messages" in CONTRIBUTE.  I see many patches from you that have followed
>> this format in the past.  I guess it should look something like this.
>> 
>>    * lisp/progmodes/dockerfile-ts-mode.el
>>    (dockerfile-ts-mode--font-lock-settings, dockerfile-ts-mode):
>>    ...description here...
>> 
>> (I would recommend using `M-x magit-generate-changelog` from the
>> ChangeLog buffer to generate them, if you are a Magit user, and
>> otherwise `C-x 4 a`.)
>> 
>> I'm not sure that this change specifically needs to be in NEWS, but I
>> won't object to adding it there also.
>> 
>> Thanks again, and sorry for not being more clear.
>